#include <iostream>
using namespace std;
main() {
char a,b;
long long a1,b1;
cin>>a>>b;
cin>>a1>>b1;
if(a1-b1>=2||b1-a1>=2) cout<<"nemoguce";
else{
    if(a1>=b1){
        for(int i=0;i<a1+b1;i++){
            if(i%2==0)cout<<a;
            else cout<<b;
        }
    }
    else{
        for(int i=0;i<a1+b1;i++){
            if(i%2==0)cout<<b;
            else cout<<a;
        }
    }

}
}